#!/bin/bash

# Build script for GoCheck

echo "🏗️  Building GoCheck..."

# Build frontend
echo "📦 Building frontend..."
cd frontend
npm install
npm run build
cd ..

# Copy frontend dist to backend for embedding
echo "📋 Copying frontend dist to backend..."
rm -rf backend/frontend
mkdir -p backend/frontend
cp -r frontend/dist backend/frontend/

# Build backend
echo "🔨 Building backend..."
cd backend
go build -o gocheck
cd ..

# Move binary to root
mv backend/gocheck .

echo "✅ Build complete! Binary is at ./gocheck"